:
# dailywrapper.sh -- extract news with daily
#	use this to collect the output from daily.sh

case `id` in
*news*) ;;
*)	echo "$0: Your id is not news" ; exit ;;
esac

umask 0

dir=/u1/news/daily

if [ ! -d "$dir" ]
then
	echo "$0: Could not find the directory $dir"
	exit
fi

cd "$dir"

for dash in "----" "---" "--" "-" ""
do
	if [ -f "daily.err$dash" ]
	then
		rm -f "daily.err-$dash"
		mv "daily.err$dash" "daily.err-$dash"
	fi
done

./daily.sh | 2>&1 tee daily.err

# mail -s "daily log from `date`" william < daily.err
